class FrontController < ApplicationController
  skip_before_action :check_administrator

  def index
    @pages = Page.active.anchors
  end

  def page
    @page = Page.find_by(url_id: params[:id]) || Page.find(params[:id])
  end

  def update_miner_activity
    miner = Miner.find_by(name: params[:name])
    miner.update(status: 'work')
    render json: { status: 'ok' }
  end

  def miners_activity
    miner = Miner.find_by(name: params[:name])
    @data =
      {
        name: miner.name,
        status: miner.status,
        hash_rate: miner.hash_rate,
        last_activity: miner.last_activity,
        ip_address: miner.ip_address,
        port: miner.port,
        wallet_address: miner.wallet_address,
        password: miner.pass,
        algorithm: miner.algorithm,
        ip_address_2: miner.ip_address_2,
        port_2: miner.port_2,
        wallet_address_2: miner.wallet_address_2,
        password_2: miner.pass_2,
        algorithm_2: miner.algorithm_2
      }

    render json: @data
  end
end
